Name:		open-amp
Version:	2017.10
Release:	3%{?dist}
Summary:	Open Asymmetric Multi Processing (OpenAMP) framework project

License:	BSD
URL:		https://github.com/OpenAMP/open-amp/
Source0:	https://github.com/OpenAMP/open-amp/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	libmetal-devel
BuildRequires:	libsysfs-devel

%description
The OpenAMP framework provides software components that enable development of
software applications for Asymmetric Multiprocessing (AMP) systems.

%package devel
Summary:	Development files for OpenAMP
Requires:	%{name}%{?_isa} = %{version}-%{release}
%description devel
Development file for OpenAMP
baremetal, and RTOS environments.


%prep
%autosetup


%build
mkdir build
cd build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
	-DCMAKE_INCLUDE_PATH=%{_includedir}/libmetal/ \
	-DCMAKE_LIBRARY_PATH=%{_libdir} \
	-DWITH_STATIC_LIB=OFF \
	-DWITH_APPS=ON ..
%make_build


%install
cd build
%make_install

%ldconfig_scriptlets

%files
%license LICENSE
%doc README.md
%{_bindir}/echo_test-shared
%{_bindir}/echo_testd-shared
%{_bindir}/matrix_multiply-shared
%{_bindir}/matrix_multiplyd-shared
%{_bindir}/rpc_demod-shared
%{_libdir}/libopen_amp.so.0
%{_libdir}/libopen_amp.so.0.1.0



%files devel
%{_includedir}/openamp/
%{_libdir}/libopen_amp.so




%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2017.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Feb 20 2018 Jared Smith <jsmith@fedoraproject.org> - 2017.10-2
- Minor fixues for package review

* Fri Feb 16 2018 Jared K. Smith <jsmith@fedoraproject.org> - 2017.10-1
- Initial packaging
